summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-05-14 14:45:33 +0200
committerMichael Palimaka <kensington@gentoo.org>2016-06-17 03:56:24 +1000
commit4110bf6d3bb1a0fb87abd50ef0cdcb5a60de33d3 (patch)
treee074e9ccbd6a4e19d32980a51bdfefc2a5c35efb /eclass/kde5.eclass
parentkde4-base.eclass: use https for default EGIT_MIRROR (diff)
downloadgentoo-4110bf6d3bb1a0fb87abd50ef0cdcb5a60de33d3.tar.gz
gentoo-4110bf6d3bb1a0fb87abd50ef0cdcb5a60de33d3.tar.bz2
gentoo-4110bf6d3bb1a0fb87abd50ef0cdcb5a60de33d3.zip
kde5.eclass: Add handling of building plugins for Qt5Designer
KDE_DESIGNERPLUGIN toggles dependencies and configure with USE=designer
Diffstat (limited to 'eclass/kde5.eclass')
-rw-r--r--eclass/kde5.eclass22
1 files changed, 22 insertions, 0 deletions
diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index d0818142c198..9fecdb7f5b03 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -56,6 +56,13 @@ EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_configure src_compile src_
# Otherwise, add debug to IUSE to control building with that flag.
: ${KDE_DEBUG:=true}
+# @ECLASS-VARIABLE: KDE_DESIGNERPLUGIN
+# @DESCRIPTION:
+# If set to "false", do nothing.
+# Otherwise, add "designer" to IUSE to toggle build of designer plugins
+# and add the necessary DEPENDs.
+: ${KDE_DESIGNERPLUGIN:=false}
+
# @ECLASS-VARIABLE: KDE_DOXYGEN
# @DESCRIPTION:
# If set to "false", do nothing.
@@ -192,6 +199,17 @@ case ${KDE_DEBUG} in
;;
esac
+case ${KDE_DESIGNERPLUGIN} in
+ false) ;;
+ *)
+ IUSE+=" designer"
+ DEPEND+=" designer? (
+ $(add_frameworks_dep kdesignerplugin)
+ $(add_qt_dep designer)
+ )"
+ ;;
+esac
+
case ${KDE_EXAMPLES} in
false) ;;
*)
@@ -484,6 +502,10 @@ kde5_src_configure() {
cmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_KF5DocTools=ON )
fi
+ if ! use_if_iuse designer && [[ ${KDE_DESIGNERPLUGIN} != false ]] ; then
+ cmakeargs+=( -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Designer=ON )
+ fi
+
# install mkspecs in the same directory as qt stuff
cmakeargs+=(-DKDE_INSTALL_USE_QT_SYS_PATHS=ON)